//
//  XSPEC12  November 2003
//
//

#include "XSUser/Global/Global.h"
#include "XSUser/Global/XSGlobal.h"
#include "XSUser/Help/Help.h"
#include "XSstreams.h"
#include "xsTypes.h"

int
XSGlobal::xsHelp(ClientData cdata,Tcl_Interp* tclInterp,int objc, Tcl_Obj* CONST  objv[])
{
    StringArray argv(objc, "");
    //convert to string array - easier portability later
    for(int index = 0; index < objc; ++index)
    {
	argv[index] = string(Tcl_GetString(objv[index]));  
    }
    
    if (objc > 1)
    {

            if (argv[1] == "??")
            {
                   std::map<string,string>::iterator m (summaryMap.begin());
                   std::map<string,string>::iterator mEnd (summaryMap.end());
                   while ( m != mEnd )
                   {
                           tcout << m->first << " " << m->second << '\n';
                           ++m;
                   }
                   tcout << std::flush;
    	           return TCL_OK;
            }
    }
    Help::helpTree()->execute(argv, 0);
    return TCL_OK;
}
